[med-svn] [Git][med-team/codonw][master] 10 commits: Add autopkgtests

Nilesh Patra gitlab at salsa.debian.org
Fri May 15 18:19:55 BST 2020



Nilesh Patra pushed to branch master at Debian Med / codonw


Commits:
d58a27b1 by Nilesh Patra at 2020-05-15T22:29:03+05:30
Add autopkgtests

- - - - -
44e4ea5e by Nilesh Patra at 2020-05-15T22:33:41+05:30
Install relevant example

- - - - -
44444628 by Nilesh Patra at 2020-05-15T22:33:51+05:30
Add hardening flags

- - - - -
94fe0142 by Nilesh Patra at 2020-05-15T22:37:52+05:30
Drop compat, switch to debhelper-compat 13

- - - - -
f9623b38 by Nilesh Patra at 2020-05-15T22:41:28+05:30
Fix permissions of input.dat

- - - - -
6092d2ca by Nilesh Patra at 2020-05-15T17:11:58+00:00
routine-update: Standards-Version: 4.5.0

- - - - -
7bc782b4 by Nilesh Patra at 2020-05-15T17:11:59+00:00
routine-update: debhelper-compat 12

- - - - -
2e9ceab7 by Nilesh Patra at 2020-05-15T17:12:10+00:00
routine-update: Add salsa-ci file

- - - - -
db28c940 by Nilesh Patra at 2020-05-15T17:15:04+00:00
routine-update: Add salsa-ci file

- - - - -
622f9df0 by Nilesh Patra at 2020-05-15T22:47:42+05:30
Add "Rules-Requires-Root:no"

- - - - -


8 changed files:

- debian/changelog
- − debian/compat
- debian/control
- + debian/examples
- debian/rules
- + debian/salsa-ci.yml
- + debian/tests/control
- + debian/tests/run-unit-test


Changes:

=====================================
debian/changelog
=====================================
@@ -1,7 +1,13 @@
 codonw (1.4.4-5) UNRELEASED; urgency=medium
 
+  [ Jelmer Vernooij ]
   * Move source package lintian overrides to debian/source.
 
+  [ Nilesh Patra ]
+  * Standards-Version: 4.5.0 (routine-update)
+  * debhelper-compat 12 (routine-update)
+  * Add salsa-ci file (routine-update)
+
  -- Jelmer Vernooij <jelmer at debian.org>  Sat, 20 Oct 2018 13:54:22 +0000
 
 codonw (1.4.4-4) unstable; urgency=medium


=====================================
debian/compat deleted
=====================================
@@ -1 +0,0 @@
-11


=====================================
debian/control
=====================================
@@ -3,12 +3,13 @@ Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.org>
 Uploaders: Sascha Steinbiss <satta at debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                help2man
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/codonw
 Vcs-Git: https://salsa.debian.org/med-team/codonw.git
 Homepage: http://codonw.sourceforge.net
+Rules-Requires-Root: no
 
 Package: codonw
 Architecture: any


=====================================
debian/examples
=====================================
@@ -0,0 +1 @@
+input.dat


=====================================
debian/rules
=====================================
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 # DH_VERBOSE := 1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
@@ -35,4 +36,8 @@ override_dh_auto_install:
 	cp codonw debian/codonw/usr/bin
 	mkdir -p debian/codonw/usr/share/codonw
 	cp codonW.hlp debian/codonw/usr/share/codonw
-	chmod -x debian/codonw/usr/share/codonw/codonW.hlp
\ No newline at end of file
+	chmod -x debian/codonw/usr/share/codonw/codonW.hlp
+
+override_dh_fixperms:
+	dh_fixperms
+	chmod -x debian/codonw/usr/share/doc/codonw/examples/input.dat


=====================================
debian/salsa-ci.yml
=====================================
@@ -0,0 +1,4 @@
+---
+include:
+  - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/salsa-ci.yml
+  - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/pipeline-jobs.yml


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,4 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr
+


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,34 @@
+#!/bin/bash
+set -e
+
+pkg=codonw
+
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp /usr/share/doc/${pkg}/examples/* -a "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+gunzip -r *
+
+echo 'Test 1'
+codonw input.dat  -all_indices -human  -c_type 2 -f_type 4 -nomenu -silent
+echo 'PASS'
+
+echo 'Test 2'
+codonw input.dat -coa_cu  -nomenu -silent
+echo 'PASS'
+
+echo 'Test 3'
+codonw input.dat  -fop_file fop.coa -nomenu -silent
+echo 'PASS'
+
+echo 'Test 4'
+codonw input.dat -cai_file cai.coa -cbi_file cbi.coa -nomenu -silent
+echo 'PASS'
+
+echo 'Test 5'
+codonw input.dat -all_indices -nomenu -silent
+echo 'PASS'



View it on GitLab: https://salsa.debian.org/med-team/codonw/-/compare/7a3deb28d9c7b768d9e29bec3d26bc7c7bbf09db...622f9df07fd5648a04c6409fb94fb6840d5bb42f

-- 
View it on GitLab: https://salsa.debian.org/med-team/codonw/-/compare/7a3deb28d9c7b768d9e29bec3d26bc7c7bbf09db...622f9df07fd5648a04c6409fb94fb6840d5bb42f
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20200515/60d36263/attachment-0001.html>


More information about the debian-med-commit mailing list